# Generated from decidim-direct_verifications-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name decidim-direct_verifications

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: A decidim batch direct registration and verification module
License: AGPL-3.0
URL: https://github.com/Platoniq/decidim-verifications-direct_verifications
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
BuildArch: noarch

%description
Provides a verification method that also registers users directly in the
platform. Can be used to mass verificate user with other verification
handlers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE-AGPLv3.txt
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0-1
- Initial package
